Package ghidra.rmi.trace

# Interface TraceRmi.BoxOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `TraceRmi.Box`, `TraceRmi.Box.Builder`

Enclosing class:
  `TraceRmi`

public static interface TraceRmi.BoxOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.AddrRange`
  `getRange()`
  `.ghidra.rmi.trace.AddrRange range = 2;`
  `TraceRmi.AddrRangeOrBuilder`
  `getRangeOrBuilder()`
  `.ghidra.rmi.trace.AddrRange range = 2;`
  `TraceRmi.Span`
  `getSpan()`
  `.ghidra.rmi.trace.Span span = 1;`
  `TraceRmi.SpanOrBuilder`
  `getSpanOrBuilder()`
  `.ghidra.rmi.trace.Span span = 1;`
  `boolean`
  `hasRange()`
  `.ghidra.rmi.trace.AddrRange range = 2;`
  `boolean`
  `hasSpan()`
  `.ghidra.rmi.trace.Span span = 1;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasSpan

    boolean hasSpan()
    `.ghidra.rmi.trace.Span span = 1;`
    Returns:
      Whether the span field is set.

  - ### getSpan

    TraceRmi.Span getSpan()
    `.ghidra.rmi.trace.Span span = 1;`
    Returns:
      The span.

  - ### getSpanOrBuilder

    TraceRmi.SpanOrBuilder getSpanOrBuilder()
    `.ghidra.rmi.trace.Span span = 1;`

  - ### hasRange

    boolean hasRange()
    `.ghidra.rmi.trace.AddrRange range = 2;`
    Returns:
      Whether the range field is set.

  - ### getRange

    TraceRmi.AddrRange getRange()
    `.ghidra.rmi.trace.AddrRange range = 2;`
    Returns:
      The range.

  - ### getRangeOrBuilder

    TraceRmi.AddrRangeOrBuilder getRangeOrBuilder()
    `.ghidra.rmi.trace.AddrRange range = 2;`